summaryrefslogtreecommitdiff
path: root/tests/chown/basic
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2001-05-11 09:14:22 +0000
committerJim Meyering <jim@meyering.net>2001-05-11 09:14:22 +0000
commit902a2a5d7a9ee8d4b55d9417a2569b274912e599 (patch)
tree450a870aa295d768d29787bdad21220b896470f0 /tests/chown/basic
parent677cb6c6a9b7515316c06431c4dc511568deb80c (diff)
downloadcoreutils-902a2a5d7a9ee8d4b55d9417a2569b274912e599.tar.xz
shift off the leading `_'
Diffstat (limited to 'tests/chown/basic')
-rwxr-xr-xtests/chown/basic39
1 files changed, 39 insertions, 0 deletions
diff --git a/tests/chown/basic b/tests/chown/basic
new file mode 100755
index 000000000..6f09f8c45
--- /dev/null
+++ b/tests/chown/basic
@@ -0,0 +1,39 @@
+#!/bin/sh
+# make sure chown --from=... works
+
+if test "$VERBOSE" = yes; then
+ set -x
+ chgrp --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+. $srcdir/../root-only
+
+pwd=`pwd`
+tmp=basic.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+touch f || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework' 1>&2
+ (exit 1); exit
+fi
+
+fail=0
+chown 0:1 f
+
+# Make sure the owner and group are 0 and 1 respectively.
+set _ `ls -n f`; shift; test "$3:$4" = 0:1 || fail=1
+
+chown --from=0:1 2:3 f || fail=1
+
+# And now they should be 2 and 3 respectively.
+set _ `ls -n f`; shift; test "$3:$4" = 2:3 || fail=1
+
+(exit $fail); exit